Subject: Re: bug#41656: Error with RCS Version Control in TRAMP.

From: Michael Albinus <[email-masked]>
Date: Tue, 02 Jun 2020 10:08:01 +0200

Bruno Vasconcelos <[email-masked]> writes:

Hi,

> Use of C-v-v key stroke for vc-next-action in a already registered
> file with RCS Version Control during a TRAMP session, which returnes
> error message that file was already registered, while it should excel
> a vc-rcs-checkin maybe.

vc-rcs.el seems to be ignorant to remote files. In my backtrace, I have seen

--8<---------------cut here---------------start------------->8---
  vc-do-command("*vc*" 0 "ci" "/ssh:gandalf:/tmp/aaa/aaa" nil "-u" "-t-")
--8<---------------cut here---------------end--------------->8---

It should use the local part of the file name only. Furthermore, there
is a call to `call-process' in vc-rcs.el. And likely, more places to adapt.

Best regards, Michael.